#### D.4.9.7 ffmodStd

Procedure from library `ffmodstd.lib` (see ffmodstd_lib).

Usage:
  ffmodStd(I [, d]); I ideal, d int

Return:
  Groebner basis of I over an algebraic function field

Note:
  An optional parameter d>0, a positive integer, can be provided for the procedure. It refers to a number of evaluation points to used.

Example:

    LIB "ffmodstd.lib";
    ring Ra=(0,a),(x,y,z),dp;
    ideal I = (a^2+2)*x^2*y+a*y*z^2, x*z^2+(a+1)*x^2-a*y^2;
    ffmodStd(I);
    ==> _[1]=xz2+(a+1)*x2+(-a)*y2
    ==> _[2]=(a2+2)*x2y+(a)*yz2
    ==> _[3]=(a2+2)*yz4+(a4+4a2+4)*xy3+(a4+a3+2a2+2a)*y3+(a3+2a2+a)*yz2
    ideal J = x^2*y+y*z^2, x*z^2+x^2-y^2;
    ffmodStd(J);
    ==> _[1]=xz2+x2-y2
    ==> _[2]=x2y+yz2
    ==> _[3]=yz4+xy3+y3+yz2
    ring R1=(0,a,b),(x,y,z),dp;
    ideal I = x^2*y^3*z+2*a*x*y*z^2+7*y^3,
    x^2*y^4*z+(a-7b)*x^2*y*z^2-x*y^2*z^2+2*x^2*y*z-12*x+by,
    (a2+b-2)*y^5*z+(a+5b)*x^2*y^2*z-b*x*y^3*z-x*y^3+y^4+2*a2*y^2*z,
    a*x^2*y^2*z-x*y^3*z+3a*x*y*z^3+(-a+4)*y^3*z^2+4*z^2-bx;
    ffmodStd(I);
    ==> _[1]=12*x+(-b)*y
    ==> _[2]=48*z2+(-b2)*y
    ==> _[3]=y2z
    ==> _[4]=y3

See also: nfmodStd.

User manual for Singular version 4.4.1, 2025, generated by texi2html.